bootstrap/test-infra/uncached-npm-install.sh
Chris Rebert ff18f380d5 Add retries to uncached-npm-install.sh
Pull requests are frequently failing on Travis due to npm flakiness
(I think) travis_retry isn't available in indirect subshells like this
2014-08-14 17:59:55 -07:00

16 lines
350 B
Bash
Executable File

#!/bin/bash
set -e
cd .. # /bootstrap/
cp test-infra/npm-shrinkwrap.json npm-shrinkwrap.json
# npm is flaky, so try multiple times
MAXTRIES=3
TRIES=1
while ! npm install; do
if [ $TRIES -ge $MAXTRIES ]; then
exit 1
fi
TRIES=$(($TRIES + 1))
echo "Retrying npm install (Try $TRIES of $MAXTRIES)..."
done
rm npm-shrinkwrap.json